## gnome-shell 43.9

=== meson_options.txt ===
option('extensions_tool',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions CLI tool'
)

option('extensions_app',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions GUI application'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

option('soup2',
  type: 'boolean',
  value: false,
  description: 'Use Soup 2.4 instead of Soup 3. Must be in sync with libgweather'
)
