=== debian/changelog ===
gnome-shell (43.9-0+deb12u2) bookworm-security; urgency=high

  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 22:13:19 +0100

gnome-shell (43.9-0+deb12u1) bookworm; urgency=medium

  * d/control.in, d/gbp.conf: Use debian/bookworm branch
  * New upstream stable release 43.8
    - Allow notifications to be dismissed with backspace key in addition to
      delete key, for easier use on laptops where the delete key might be
      missing or hard to reach (gnome-shell#5789)
    - Update subprojects/gvc subproject to the same version used in 44.4
      (gnome-shell#6842)
      + Fix duplicate devices shown when reconnecting to PulseAudio
      + Fix possible use-after-free crashes on PulseAudio/Pipewire restart
      + Improve choice of default icons
      + Performance improvements
    - Avoid sliders in quick settings (volume, etc.) being reported to
      accessibility tools as their own parent object (gnome-shell#6686)
    - Better compatibility with Debian 12's version of ibus
      (gnome-shell#6405)
    - Report focus events to ibus when using Wayland (gnome-shell#6415)
    - In the "looking glass" debug interface, cope with objects that
      cannot be converted to string
    - When showing weather, avoid getting meaningless location names like
      "WiFi" or "GeoIP" from GeoClue >= 2.7
    - Improve GNOME Shell app grid performance by avoiding repainting
      monitors other than the one it is displayed on (gnome-shell#6819)
    - Align scrolled viewports to the pixel grid to avoid jitter visible
      during scrolling (gnome-shell#6835)
    - Support translated strings in more files
    - Upstream CI adjustments not relevant to Debian
    - All other changes were already in 43.7-1 or 43.7-2
  * New upstream stable release 43.9
    - Avoid exposing window previews on lock screen via keyboard shortcuts
      (CVE-2023-43090, gnome-shell#6990; previously fixed for bookworm via
      patches in 43.6-1~deb12u2)
    - Improve handling of latched vs. locked modes in on-screen keyboard
      (gnome-shell#5763, also fixed in 44.5)
    - Reverse slider direction in RTL locales
      (gnome-shell#5107, also fixed in 44.5)
    - Add missing environment variables required to launch ibus-daemon
      (gnome-shell#6998, also fixed in 44.5)
    - Translation updates
  * d/patches: Drop patches that were included in the new upstream releases
  * d/patches: Update to upstream gnome-43 branch commit 43.9-1-g3b921ba0c
    - d/p/overview-Handle-unredirection-in-OverviewShown-state-mach.patch:
      Improve performance for most full-screen applications by ensuring
      that a fast-path for them stays enabled when it should be.
      (mutter#2994 upstream; also fixed in 44.5-2)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Oct 2023 09:50:35 +0100

gnome-shell (43.7-2) unstable; urgency=medium

  * Team upload
  * d/p/main-Leak-the-GJS-context-and-ShellGlobal.patch:
    Add patch from Fedora to skip final cleanup during exit.
    This has been implicated in various crashes during exit, which cause
    gnome-shell to disable extensions during the next startup. Leaking some
    memory at this point does not matter since the process is exiting anyway.
    The crashes during exit are believed to have been fixed in 44.beta, but
    those changes are too intrusive to be suitable for a backport.
    (Closes: #1038972)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Aug 2023 10:46:44 +0100

gnome-shell (43.7-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Apply hotspot translation to mouse cursor while using magnifier,
      fixing an offset between the visble pointer position and the actual
      pointer (gnome-shell#4584, also fixed in 44.3)
    - Don't log an error when AccountsService signals a change while
      parental controls are disabled globally
      (gnome-shell#6749, also fixed in 44.3)
    - Keep rounded corners on the overview's view of the desktop, even
      after the background image changes
      (gnome-shell#4125, also fixed in 44.3)
  * d/patches: Update to upstream gnome-43 branch commit 43.7-1-g0d51f199e
    - Translation update: fa
  * d/gbp.conf, d/control.in: Use debian/trixie branch

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 10:33:35 +0100
