## gnome-shell 44.0

=== debian/changelog ===
gnome-shell (44.0-2ubuntu3) lunar; urgency=medium

  * Cherry-pick fix for installing extensions (LP: #2013073)
  * Add proposed patch to fix running gnome-shell on RISC-V (LP: #2012068)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Mar 2023 10:18:23 -0400

gnome-shell (44.0-2ubuntu2) lunar; urgency=medium

  * debian/patches: Cherry-pick more upstream fixes from stable branch
  * debian/patches: Give more priority to desktop files matching startup-wm
    class (LP: #2012645)
  * debian/patches: Do not move snap apps to GNOME apps scope (LP: #2011806)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Mar 2023 21:19:20 +0200

gnome-shell (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/patches: Reload shell theme on color scheme changes
  * debian/patches: Do not crash on st settings updates (LP: #2012021)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/Revert-dash-Use-pin-instead-of-favorites

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:41:22 +0100

gnome-shell (44.0-2) experimental; urgency=medium

  * debian/control: Bump dependency on mutter 44

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:37:22 +0100

gnome-shell (44.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes
  * debian/rules: Create a cache home folder for dconf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Mar 2023 05:20:26 +0100

gnome-shell (44~rc-1ubuntu2) lunar; urgency=medium

  * d/ubuntu-session-mods/ubuntu: Add Tiling Assistant as built-in extension
    This will ensure that if the extension is installed, it can be enabled from
    settings, without having to enable all the user extensions.
    It doesn't imply a shell dependency on it.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Mar 2023 00:17:02 +0100

gnome-shell (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining differences:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell

