=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -18,8 +19,10 @@
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
-               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
+               gir1.2-gnomebg-4.0 <!nocheck>,
+               gir1.2-gnomedesktop-4.0 <!nocheck>,
                gir1.2-gweather-4.0 (>= 4.1) <!nocheck>,
+               gir1.2-nma4-1.0 [linux-any] <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
@@ -39,17 +42,17 @@
                libglib2.0-dev,
                libgnome-autoar-0-dev,
                libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
-               libgnome-desktop-3-dev (>= 3.35.90),
+               libgnome-desktop-4-dev (>= 40),
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-bin,
-               libgtk-3-dev,
+               libgtk-3-dev <!nocheck>,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-11-dev (>= 43.5),
-               libmutter-test-11 (>= 43.5) <!nocheck>,
+               libmutter-12-dev (>= 44.0),
+               mutter-12-tests (>= 44.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -62,7 +65,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 43.5) <!nocheck>,
+               mutter (>= 44.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -72,8 +75,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
@@ -87,36 +92,35 @@
          gir1.2-gdm-1.0,
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0,
+         gir1.2-gnomebg-4.0,
          gir1.2-gnomebluetooth-3.0 (>= 42.3) [linux-any],
-         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
+         gir1.2-gnomedesktop-4.0 (>= 40),
          gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
-         gir1.2-gtk-3.0,
          gir1.2-gtk-4.0,
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-11 (>= 43.5),
+         gir1.2-mutter-12 (>= 44.0),
          gir1.2-nm-1.0 [linux-any],
-         gir1.2-nma-1.0 [linux-any],
+         gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gir1.2-webkit2-4.1,
-         gnome-backgrounds,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
-            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
             gkbd-capplet,
@@ -128,16 +132,20 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
+          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
-Breaks: gnome-shell-extension-appindicator (<< 36),
-        gnome-shell-extension-dash-to-panel (<< 43),
-        gnome-shell-extension-dashtodock (<< 70),
+          chrome-gnome-shell,
+Breaks: gnome-shell-extension-appindicator (<< 50),
+        gnome-shell-extension-dash-to-panel (<< 55),
+        gnome-shell-extension-dashtodock (<< 79),
         gnome-shell-extension-desktop-icons (<< 21.04),
-        gnome-shell-extension-desktop-icons-ng (<< 0.16.0~),
+        gnome-shell-extension-desktop-icons-ng (<< 46+really47.0.2-2),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 27-3~),
         gnome-shell-extension-workspaces-to-dock (<< 54~),
@@ -155,6 +163,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 22.10.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
