## gnome-shell 44.3

=== debian/changelog ===
gnome-shell (44.3-0ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Avoid exposing window previews on lock screen
    via keyboard shortcuts (CVE-2023-43090, LP: #2036746, gnome-shell#6990)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Sep 2023 08:32:31 -0400

gnome-shell (44.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2026586)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Jul 2023 09:41:10 -0400

gnome-shell (44.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2022961)
  * debian/control.in: Bump minimum mutter to 44.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jun 2023 11:03:01 -0400

gnome-shell (44.1-0ubuntu1) lunar; urgency=medium

  [ Jarred Wilson ]
  * New upstream release (LP: #2020277, LP: #1968383)
  * Drop patches applied in new release
  * Rebase patches

  [ Jeremy Bicha ]
  * Drop patch to ensure tray icons windows are shown: applied in new release
  * debian/control.in: Bump minimum mutter to 44.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 May 2023 16:33:48 -0400
