=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -51,8 +51,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-12-dev (>= 44.0),
-               mutter-12-tests (>= 44.0) <!nocheck>,
+               libmutter-12-dev (>= 44.2),
+               mutter-12-tests (>= 44.2) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -65,7 +65,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 44.0) <!nocheck>,
+               mutter (>= 44.2) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -77,8 +77,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/lunar
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/lunar
 
 Package: gnome-shell
 Architecture: linux-any
@@ -101,7 +101,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-12 (>= 44.0),
+         gir1.2-mutter-12 (>= 44.2),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
