=== debian/control ===
--- 
+++ 
@@ -46,13 +46,11 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-bin,
-               libgtk-3-dev <!nocheck>,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-12-dev (>= 44.2),
-               mutter-12-tests (>= 44.2) <!nocheck>,
+               libmutter-13-dev (>= 45~beta),
+               mutter-13-tests (>= 45~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -77,8 +75,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/lunar
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/lunar
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
@@ -101,7 +99,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-12 (>= 44.2),
+         gir1.2-mutter-13 (>= 45~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -109,7 +107,7 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gir1.2-webkit2-4.1,
+         gir1.2-webkit-6.0,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~beta),
@@ -163,7 +161,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 22.10.1~)
+Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
