=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsoup2=false \
 	-Dsystemd=true
 endif
