## gnome-shell 45.0

=== debian/changelog ===
gnome-shell (45.0-1ubuntu2) mantic; urgency=medium

  * Cherry-pick 2 commits from future 45.1:
    - Fix crash at shutdown (LP: #2036889)
    - Fix indefinite inhibition of direct scanout when closing the Overview

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Oct 2023 14:16:54 -0400

gnome-shell (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + ubuntu-wallpapers
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move some Recommends to Suggests:
      + chrome-gnome-shell
      + gnome-backgrounds
    - Update debian/gbp.conf with Ubuntu settings
    - Add debian/ubuntu-session-mods/ubuntu.json
    - debian/patches: Do not hang & crash if fingerprint service fails to start
      (LP: #1962566)
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch
    - u/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch
    - ubuntu/resolve_alternate_theme_path.patch
    - ubuntu/secure_mode_extension.patch
    - ubuntu/keep-ubuntu-logo-bright-lp1867133-v1.patch
    - ubuntu/configure_login_screen.patch
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - debian/patches: Compute system background color from theme (LP: #1965727)
    - ubuntu/configure-login-screen.patch: Use bg color for initial system bg
      (LP: #1965727)
    - debian/patches: Ensure St.Entry's `selected-color` CSS property is
      honored (LP: #1878998)
    - ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
    - d/p/use-favorites-strings: Only apply this to ubuntu session
    - debian/patches: Support configuring icons resource to use for mode
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch,
    - ubuntu/darkMode-Add-support-to-Yaru-theme-color-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - ubuntu/shell-global-util-Do-not-move-snap-apps-to-gnome-apps-sco.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:22:07 -0400

gnome-shell (45.0-1) experimental; urgency=medium

  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)
  * Bump minimum mutter to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 11:01:45 -0400

gnome-shell (45~rc-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 45 rc
  * debian/control.in: Don't Build-Depend on gtk3
  * debian/control.in: Depend on gir1.2-webkit-6.0 instead of 4.1
  * debian/gnome-shell.install: gnome-shell-perf-tool -> gnome-shell-test-tool
  * debian/rules: Drop obsolete configure flag
  * Add patch to avoid using Tecla because it isn't ready yet
  * Drop patch applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 21:19:28 -0400

gnome-shell (45~rc-0ubuntu3) mantic; urgency=medium

  * Restore dark mode patch accidentally dropped when packaging 45
    (LP: #2035036)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 15:59:19 -0400

gnome-shell (45~rc-0ubuntu2) mantic; urgency=medium

  * Update magnifier sprite scaling patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Sep 2023 11:17:39 -0400

gnome-shell (45~rc-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum mutter to 45~rc
  * Drop cherry-picked patches applied in new release
  * Refresh patches
  * Add patch to avoid using Tecla because it isn't ready here yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 15:34:13 -0400

gnome-shell (44.5-1) unstable; urgency=high

  * Team upload
  * New upstream release
    - Fix exposing window previews on lock screen via keyboard shortcuts
      (Closes: #1052067, CVE-2023-43090, gnome-shell#6990)

