## gnome-shell 45.2

=== debian/changelog ===
gnome-shell (45.2-0ubuntu1.1) mantic-security; urgency=medium

  * Fix compatibility with glib2.0 security update
    - debian/patches/correct_expected_bus_name.patch: correct expected bus
      name for streams in js/dbusServices/screencast/screencastService.js.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:05:04 -0400

gnome-shell (45.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2045667)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 13:11:30 -0500

gnome-shell (45.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2043015)
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 18:33:02 +0200
