=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -49,8 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-13-dev (>= 45~beta),
-               mutter-13-tests (>= 45~beta) <!nocheck>,
+               libmutter-13-dev (>= 45.0),
+               mutter-13-tests (>= 45.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -63,7 +63,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 44.2) <!nocheck>,
+               mutter (>= 45.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
@@ -99,7 +99,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-13 (>= 45~beta),
+         gir1.2-mutter-13 (>= 45.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
